%define debug_package %{nil}

Summary:	Sokoban in space
Name:		sokoban
Version:	1.0.1
Release:	2
License:	Proprietary
Group:		Games/Puzzles
Url:		http://dansoft.krasnokamensk.ru/more.html?id=1014
Source0:	http://dansoft.krasnokamensk.ru/data/1014/sokoban_linux.tar.gz
Source1:	sokoban.desktop
Source2:	%{name}.rpmlintrc
BuildRequires:	imagemagick
Requires:	libSDL_mixer1.2_0
ExclusiveArch:	%{ix86}

%description
Sokoban in space is a puzzle game.

%files
%doc COPYING
/opt/dansoft/sokoban/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png

#----------------------------------------------------------------------------

%prep
%setup -qn sokoban_linux

%build

%install
mkdir -p %{buildroot}/opt/dansoft/sokoban/

cp -r font %{buildroot}/opt/dansoft/sokoban/font
cp -r images %{buildroot}/opt/dansoft/sokoban/images
cp -r maps %{buildroot}/opt/dansoft/sokoban/maps
cp -r repeat %{buildroot}/opt/dansoft/sokoban/repeat
cp -r sandbox %{buildroot}/opt/dansoft/sokoban/sandbox
cp -r sounds %{buildroot}/opt/dansoft/sokoban/sounds
cp -r video %{buildroot}/opt/dansoft/sokoban/video

cp COPYING %{buildroot}/opt/dansoft/sokoban/COPYING
cp picture.dat %{buildroot}/opt/dansoft/sokoban/picture.dat
cp sokoban %{buildroot}/opt/dansoft/sokoban/sokoban
cp sokoban.cfg %{buildroot}/opt/dansoft/sokoban/sokoban.cfg

mkdir -p %{buildroot}%{_datadir}/applications
install -m 644 %{SOURCE1} %{buildroot}%{_datadir}/applications/

chmod 777 %{buildroot}/opt/dansoft/sokoban/maps
chmod 777 %{buildroot}/opt/dansoft/sokoban/repeat
chmod 777 %{buildroot}/opt/dansoft/sokoban/sandbox

mkdir -p  %{buildroot}%{_datadir}/applications
cat > %{buildroot}/opt/dansoft/sokoban/sokoban.sh << EOF
#!/bin/bash

cd /opt/dansoft/sokoban
./sokoban $@
EOF
chmod 755 %{buildroot}/opt/dansoft/sokoban/sokoban.sh

# create and install icons
for N in 16 32 48 64 128; do convert images/sokoban.png -scale ${N}x${N}! $N.png; done
install -D 16.png -m 644 %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png
install -D 32.png -m 644 %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
install -D 48.png -m 644 %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png
install -D 64.png -m 644 %{buildroot}%{_iconsdir}/hicolor/64x64/apps/%{name}.png
install -D 128.png -m 644 %{buildroot}%{_iconsdir}/hicolor/128x128/apps/%{name}.png


%changelog

* Wed Feb 15 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.0.1-2
- (2f98057) Fix package requirements


